﻿using CommunityToolkit.Mvvm.ComponentModel;

namespace S7Explorer.Models
{
    public class ExportSettings : ObservableObject
    {
        private bool _exportBlocks = true;
        private bool _exportSymbols = true;
        private bool _exportHardware = true;
        private bool _includeBlockCode = true;
        private bool _includeComments = true;
        private string _exportPath = string.Empty;
        private ExportFormat _exportFormat = ExportFormat.PlainText;

        public bool ExportBlocks
        {
            get => _exportBlocks;
            set => SetProperty(ref _exportBlocks, value);
        }

        public bool ExportSymbols
        {
            get => _exportSymbols;
            set => SetProperty(ref _exportSymbols, value);
        }

        public bool ExportHardware
        {
            get => _exportHardware;
            set => SetProperty(ref _exportHardware, value);
        }

        public bool IncludeBlockCode
        {
            get => _includeBlockCode;
            set => SetProperty(ref _includeBlockCode, value);
        }

        public bool IncludeComments
        {
            get => _includeComments;
            set => SetProperty(ref _includeComments, value);
        }

        public string ExportPath
        {
            get => _exportPath;
            set => SetProperty(ref _exportPath, value);
        }

        public ExportFormat ExportFormat
        {
            get => _exportFormat;
            set => SetProperty(ref _exportFormat, value);
        }
    }

    public enum ExportFormat
    {
        PlainText,
        MarkDown,
        HTML,
        JSON
    }
}